package com.engine.organization.entity.chart;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import weaver.conn.RecordSet;

/**
 * @author:dxfeng
 * @createTime: 2023/06/26
 * @version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CompanyTreePO {
    private String id;
    private String pId;
    private String value;
    private String title;
    private boolean isLeaf;

    public boolean getIsLeaf() {
        RecordSet rs = new RecordSet();
        rs.executeQuery("select id from hrmsubcompany where (canceled is null or canceled != '1') and supsubcomid = ?",id);
        return rs.next();
    }

    public String getpId() {
        return pId;
    }
}
